{ pkgs, self, ... }:
{
  imports = [
    ./backup.nix
    ./console.nix
    ./cpufreq.nix
    ./flakes.nix
    ./impermanence-options.nix
    ./kernel.nix
    ./locale.nix
    ./network.nix
    ./nix.nix
    ./packages.nix
    ./show-changelog.nix
    ./sops.nix
    ./sudo.nix
    ./tailscale.nix
  ];

  system.copySystemConfiguration = false; # not supported with flakes
  # Let 'nixos-version --json' know about the Git revision of the flake
  system.configurationRevision = pkgs.lib.mkIf (self ? rev) self.rev;

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It's perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "24.05"; # Did you read the comment?
}
